#!/bin/sh
# Enable or disable the audio

# Check to see if at least one argument was specified
if [ $# -lt 1 ] ; then
   echo "Error: You must specify one argument as on or off"
   exit 1
fi

# The AUD_CLK_EN signal is on the GPIO expander PCA9555, IO1_6
# this line need to be taken high to enable, low to disable
# IO1_6 is gpio238
[ -d /sys/class/gpio/gpio238 ] || echo 238 > /sys/class/gpio/export

# set it to an output
echo out > /sys/class/gpio/gpio238/direction


if [ $1 == 'on' ]
then # set it high
	echo 1 > /sys/class/gpio/gpio238/value
elif [ $1 == "off" ]
then # set it low
	echo 0 > /sys/class/gpio/gpio238/value
else
	echo "Error: argument needs to be one of on or off"
fi

