#!/bin/sh
# Start of stop the camera services

PATH=$PATH:/sbin

#Check to see if at least one argument was specified
if [ $# -lt 1 ] ; then
   echo "Error: You must specify one argument as start or stop"
   exit 1
fi

# The ADV7180_PWRDN signal is on the GPIO expander PCA9555, IO0_2
# this line need to be taken high
# IO0_2 is gpio226
[ -d /sys/class/gpio/gpio226 ] || echo 226 > /sys/class/gpio/export

# set it to an output
echo out > /sys/class/gpio/gpio226/direction

if [ $1 == 'start' ]
then 
	# disable excessive kernel log messages
	echo 3 4 1 7 > /proc/sys/kernel/printk

	# set the frame buffer depth needed by the video streaming
	/usr/sbin/fbset -depth 32

	# Power up the ADV7180
	echo 1 > /sys/class/gpio/gpio226/value

	# configure for PAL camera input
	/usr/bin/cam_setup_adv7180.sh

elif [ $1 == "stop" ]
then # Power down the ADV7180 
	echo 0 > /sys/class/gpio/gpio226/value
else
	echo "Error: argument needs to be one of start or stop"
fi

