#!/bin/sh
# Configure the CPUs

# Check to see if at least one argument was specified
if [ $# -lt 1 ] ; then
   echo "Error: You must specify one argument as 1, 2, 3 or 4"
   exit 1
fi

if [ $1 == "1" ]
then
	# turn off all CPUs except CPU0
	[ -d /sys/devices/system/cpu/cpu1/online ] && echo 0 > /sys/devices/system/cpu/cpu1/online
	[ -d /sys/devices/system/cpu/cpu2/online ] && echo 0 > /sys/devices/system/cpu/cpu2/online
	[ -d /sys/devices/system/cpu/cpu3/online ] && echo 0 > /sys/devices/system/cpu/cpu3/online
elif [ $1 == "2" ]
then
	# turn off all CPUs except CPU0 & CPU2
	[ -d /sys/devices/system/cpu/cpu1/online ] && echo 1 > /sys/devices/system/cpu/cpu1/online
	[ -d /sys/devices/system/cpu/cpu2/online ] && echo 0 > /sys/devices/system/cpu/cpu2/online
	[ -d /sys/devices/system/cpu/cpu3/online ] && echo 0 > /sys/devices/system/cpu/cpu3/online
elif [ $1 == "3" ]
then
	# turn on all CPUs except CPU3
	[ -d /sys/devices/system/cpu/cpu1/online ] && echo 1 > /sys/devices/system/cpu/cpu1/online
	[ -d /sys/devices/system/cpu/cpu2/online ] && echo 1 > /sys/devices/system/cpu/cpu2/online
	[ -d /sys/devices/system/cpu/cpu3/online ] && echo 0 > /sys/devices/system/cpu/cpu3/online
elif [ $1 == "4" ]
then
	# turn on all CPUs
	[ -d /sys/devices/system/cpu/cpu1/online ] && echo 1 > /sys/devices/system/cpu/cpu1/online
	[ -d /sys/devices/system/cpu/cpu2/online ] && echo 1 > /sys/devices/system/cpu/cpu2/online
	[ -d /sys/devices/system/cpu/cpu3/online ] && echo 1 > /sys/devices/system/cpu/cpu3/online
else
	echo "Error: argument needs to be one of 1, 2, 3 or 4"
fi
