#!/bin/sh
# Install PE1589 files into filessystem


SCRIPT=$(readlink -f "$0")
DIR=$(dirname "$SCRIPT")

if [ $# -lt 1 ] ; then
	rfs="/home/hico/work/embsp-20130524-dimm-mx6/root/rootfs"
else
	rfs=$1
fi

if [ ! -d   ] ; then
	echo "Directory does not exist. Check!"
	exit 1;
fi

echo "Installing files in  /etc"
cp $DIR/uboot_script  /boot/
cp $DIR/fstab  /etc/
cp $DIR/motd  /etc/
cp $DIR/profile  /etc/
cp $DIR/fb.modes  /etc/
cp $DIR/profile.qt  /etc/profile.d/
cp $DIR/launcher  /etc/init.d/
cp $DIR/halt  /etc/init.d/
cp $DIR/reset-button.sh  /etc/init.d/
cp $DIR/interfaces  /etc/network/
cp $DIR/libgstapp.so   /usr/lib/gstreamer-0.10/
cp $DIR/automount.rules  /etc/udev/rules.d/
cp $DIR/96-storagemedia.rules  /etc/udev/rules.d/
cp $DIR/keyboard.rules /etc/udev/rules.d
cp $DIR/usbmuxd.rules /etc/udev/rules.d/

cp $DIR/utest.sh  /home/root/

if [ ! -d " /opt/pel/bin" ] ; then
	mkdir -p " /opt/pel/bin"
fi

echo "Installing files in  /opt/pel"
#rm -rf /opt/pel/splash.fb
#rm -rf /opt/pel/splash.png
#rm -rf /opt/pel/logo.png
#cp $DIR/splash.fb /opt/pel/
#cp $DIR/splash.png /opt/pel/
cp $DIR/signal_pipeui.sh  /opt/pel/bin/
cp $DIR/updatemounts.sh  /opt/pel/bin/
cp $DIR/portmount.sh  /opt/pel/bin/
cp $DIR/camera.sh  /opt/pel/bin/
cp $DIR/fbset.sh  /opt/pel/bin/
cp $DIR/camera_test.sh  /opt/pel/bin/
cp $DIR/cpuconfig.sh  /opt/pel/bin/
cp $DIR/vga_set.sh  /opt/pel/bin/
cp $DIR/led_set.sh  /opt/pel/bin/
cp $DIR/serial_read.sh  /opt/pel/bin/
cp $DIR/mcu_reset.sh  /opt/pel/bin/
cp $DIR/mp_holdon.sh  /opt/pel/bin/
cp $DIR/audio_set.sh  /opt/pel/bin/
cp $DIR/audio_main.sh /opt/pel/bin/
cp $DIR/audio_mode.sh /opt/pel/bin/
cp $DIR/headphone_detect.sh /opt/pel/bin/
cp $DIR/headphone_detect_test.sh /opt/pel/bin/
cp $DIR/microphone_detect.sh /opt/pel/bin/
cp $DIR/mp_bl.sh  /opt/pel/bin/
cp $DIR/splash.sh  /opt/pel/bin/
cp $DIR/myecho.sh  /opt/pel/bin/
cp $DIR/adv7180_read.sh  /opt/pel/bin
cp $DIR/version  /opt/pel/

cp $DIR/clear_cache.sh  /opt/pel/bin/
cp $DIR/copy_file.sh  /opt/pel/bin/
cp $DIR/get_storage_info.sh  /opt/pel/bin/
cp $DIR/get_project_size.sh  /opt/pel/bin/
cp $DIR/get_directory_info.sh /opt/pel/bin/
cp $DIR/keyboard_link.sh  /opt/pel/bin/
cp $DIR/sshd_config  /etc/ssh/
cp $DIR/wpa_suplicant_reset.sh /opt/pel/bin/
cp $DIR/wifi_successCheck.sh /opt/pel/bin/
cp $DIR/wifi_forgetNetwork.sh /opt/pel/bin/
cp $DIR/bannerwithtitlelogo.png /opt/pel/bin/
cp $DIR/iDeviceInit.sh /opt/pel/bin/
cp $DIR/androidDeviceInit.sh /opt/pel/bin/
cp $DIR/wired_check.sh /opt/pel/bin/
cp $DIR/framebuffer_ex1 /opt/pel/bin/

rm -rf /opt/pel/bin/PDF.html 
rm -rf /opt/pel/bin/PDFtemplate.html 
#cp $DIR/PDFtemplate.txt /opt/pel/bin/
#cp $DIR/jobPage.txt /opt/pel/bin/
#cp $DIR/jobStartPage.txt /opt/pel/bin/
#cp $DIR/mapPage.txt /opt/pel/bin
#cp $DIR/sitePage.txt /opt/pel/bin
#cp $DIR/snapshotPage.txt /opt/pel/bin/
#cp $DIR/WinCanDefect.txt /opt/pel/bin
#cp $DIR/WinCanInspProf.txt /opt/pel/bin
#cp $DIR/WinCanInspSum.txt /opt/pel/bin
#cp $DIR/WinCanJobPage.txt /opt/pel/bin
#cp $DIR/WinCanJobStartPage.txt /opt/pel/bin
#cp $DIR/WinCanPDFtemplate.txt /opt/pel/bin
#cp $DIR/WinCanSecProf.txt /opt/pel/bin
#cp $DIR/WinCanSecSum.txt /opt/pel/bin
#cp $DIR/WinCanSnapshotPage.txt /opt/pel/bin
#cp $DIR/winMapPage.txt /opt/pel/bin
#cp $DIR/AppStore.PNG /opt/pel/bin
cp $DIR/background.png /opt/pel/bin
cp $DIR/Downstream.bmp /opt/pel/bin
cp $DIR/flowArrow.bmp /opt/pel/bin
cp $DIR/flowDownArrow.bmp /opt/pel/bin
cp $DIR/Upstream.bmp /opt/pel/bin
cp $DIR/Logo-WinCan.PNG /opt/pel/bin
cp $DIR/wifi_disconnect_and_forget.sh /opt/pel/bin/
cp $DIR/Upstream.png /opt/pel/bin
cp $DIR/Downstream.png /opt/pel/bin
cp $DIR/3DPipe.png /opt/pel/bin
cp $DIR/3DPipeSO.png /opt/pel/bin
cp $DIR/3DPipePO.png /opt/pel/bin
cp $DIR/3DPipeEO.png /opt/pel/bin
cp $DIR/Junction_far.png /opt/pel/bin
cp $DIR/Junction_near.png /opt/pel/bin
cp $DIR/Logo-wback-btext.PNG /opt/pel/bin
cp $DIR/explorer_splash.png /opt/pel
cp $DIR/explorer_logo.png /opt/pel
cp $DIR/maxprobe_splash.png /opt/pel
cp $DIR/maxprobe_logo.png /opt/pel
cp $DIR/splash_bar.png /opt/pel
#cp $DIR/PDFtemplate_US.txt /opt/pel/bin/
#cp $DIR/PDFtemplate_UK.txt /opt/pel/bin/
#cp $DIR/WinCanPDFtemplate_UK.txt /opt/pel/bin
#cp $DIR/WinCanPDFtemplate_US.txt /opt/pel/bin

cp $DIR/xmlFile.xml /opt/pel/bin/

cp $DIR/gs  /opt/pel/bin/
cp $DIR/gpcl6 /opt/pel/bin/
cp $DIR/gxps /opt/pel/bin/
cp $DIR/PDFResize.sh /opt/pel/bin/

cp $DIR/PipeUI_US.qm /opt/pel/bin
cp $DIR/PipeUI_US.ts /opt/pel/bin


if [ ! -d /opt/pel/tables ]; then
	mkdir /opt/pel/tables
fi
cp $DIR/tables/* /opt/pel/tables/
chmod 755 /opt/pel/tables/*

# create and install the splash screen image
#./$DIR/makesplash.sh
#mv $DIR/splash.fb  /opt/pel/
#cp $DIR/splash.png  /opt/pel/

chmod 755  /opt/pel/bin/*
chmod 755  /etc/init.d/*
chmod -R +x /opt/pel/bin/*

# remove some directories of files we don't need
echo "Removing some unwanted directories"
rm -rf  /opt/viv_samples
rm -rf  /usr/bin/emtrion
rm -rf  /usr/bin/qtopia

version=`cat $DIR/version`
echo "Done. Installed version $version"

#install all subdirectories
if [ -s $DIR/libnl-1.1.4/install.sh ]; then
	echo "Updating libnl libraries"
	/bin/sh $DIR/libnl-1.1.4/install.sh

	echo "Updating libnl libraries complete!"
else
	echo "No new libnl libraries"
fi
	
if [ -s $DIR/ncftp-3.2.5/install.sh ]; then
	echo "Updating ncftp libraries"
	/bin/sh $DIR/ncftp-3.2.5/install.sh

	echo "Updating ncftp libraries complete!"
else
	echo "No new ncftp libraries"
fi

if [ -s $DIR/openssl-1.0.2q/install.sh ]; then
	echo "Updating openssl libraries"
	/bin/sh $DIR/openssl-1.0.2q/install.sh

	echo "Updating openssl libraries complete!"
else
	echo "No new openssl libraries"
fi

if [ -s $DIR/wireless_tools.29/install.sh ]; then
	echo "Updating wireless tools libraries"
	/bin/sh $DIR/wireless_tools.29/install.sh

	echo "Updating wireless tools libraries complete!"
else
	echo "No new wireless tools libraries"
fi

if [ -s $DIR/wpa_supplicant-2.5/install.sh ]; then
	echo "Updating wpa supplicant libraries"
	/bin/sh $DIR/wpa_supplicant-2.5/install.sh

	echo "Updating wpa supplicant libraries complete!"
else
	echo "No new wpa supplicant libraries"
fi


#copy files into place
cp $DIR/rt2870.bin /lib/firmware
chmod 755 /lib/firmware/rt2870.bin

cp $DIR/rtlwifi -r /lib/firmware/
chmod 755 -R /lib/firmware/rtlwifi

false | cp -i $DIR/wpa_supplicant.conf /etc
chmod 755 /etc/wpa_supplicant.conf

cp -f $DIR/wpa_supplicant.conf /etc/wpa_supplicant_default.conf
chmod 755 /etc/wpa_supplicant.conf

rm -f /etc/network/interfaces
cp $DIR/interfaces_network /etc/network/interfaces
chmod 755 /etc/network/interfaces

rm -f etc/dnsmasq.conf
cp $DIR/dnsmasq.conf /etc
chmod 755 /etc/dnsmasq.conf

cp $DIR/ftp_*.sh /opt/pel/bin
cp $DIR/wifi_*.sh /opt/pel/bin
chmod 755  /opt/pel/bin/*

rm -f /etc/udhcpc.d/50default
cp $DIR/50default /etc/udhcpc.d
chmod 755 /etc/udhcpc.d/50default



echo "Removing old library"
rm -rf /usr/lib/libfontconfig.so.1.5.0

echo "Copying new library"
cp $DIR/libfontconfig.so.1.5.0 /usr/lib/

echo "New library successfully copied"
echo "Setting Permissions"

chmod +x /usr/lib/libfontconfig.so.1.5.0
chmod +w /usr/lib/libfontconfig.so.1.5.0

echo "Creating Simlinks"
ln -sf /usr/lib/libfontconfig.so.1.5.0 /usr/lib/libfontconfig.so.1
ln -sf /usr/lib/libfontconfig.so.1.5.0 /usr/lib/libfontconfig.so

echo "install languages"
rm -rf /opt/pel/languages/
mkdir -p /opt/pel/languages/
cp $DIR/languages/us-International.qmap /opt/pel/languages/
for D in `find $DIR/languages -mindepth 1 -maxdepth 1 -type d`
do 
echo $D 
LANG=$(basename "$D") 
echo $LANG
rm -rf /opt/pel/languages/$LANG/
mkdir -p /opt/pel/languages/$LANG/mina
cp $D/* /opt/pel/languages/$LANG/
cp $D/mina/* /opt/pel/languages/$LANG/mina/

done

if [ ! -f /opt/pel/keyboard.qmap ]; then
	cp $DIR/languages/en-GB/en-GB.qmap  /opt/pel/keyboard.qmap
fi
#set permissions


