#!/bin/sh
# Check whether the microphone is connected

#check if the microphone GPIO is already created if not create it 
[ -d /sys/class/gpio/gpio33 ] || echo 33 > /sys/class/gpio/export

# remove all instances of arecord to prevent overlap
killall arecord

#start a temporary audio recording this is needed to create a bias on the audio driver allowing the GPIO to be read correctly
arecord -f cd -c 1 -Dplug:dsnoop probe.wav -d 0.5 &

# Setup the properties for the ALSA 
/bin/sh /opt/pel/bin/audio_mode.sh 0

# Check the GPIO to see if the mic is connected
VAL="$(cat /sys/class/gpio/gpio33/value)"
if [ $VAL == "1" ]
then
# If connected return 0
	echo "true"
	rm probe.wav
	killall arecord
	exit 0
else
# If not connected return 1
	echo "false"
	rm probe.wav
	killall arecord
	exit 1
fi


