#!/bin/sh
# Set the MP_BL_OFF control

# Check to see if at least one argument was specified
if [ $# -lt 1 ] ; then
   echo "Error: You must specify one argument as start or stop"
   exit 1
fi

# MP_BL_OFF (aka GPIO_4) is on GPIO1-9 (GPIO9)
# see http://www.support.emtrion.de/doku.php?id=emsdk:mx6_gpio_details
# as per Lothron board
# Create them if they don't already exist
[ -d /sys/class/gpio/gpio9 ] || echo 9 > /sys/class/gpio/export

# set as output
echo out > /sys/class/gpio/gpio9/direction

if [ $1 == 'start' ]
then	# set to low to enable backlight
	echo 0 > /sys/class/gpio/gpio9/value
elif [ $1 == "stop" ]
then 	# set to high to diasable backlight
	echo 1 > /sys/class/gpio/gpio9/value
else
	echo "Error: argument needs to be one of start or stop"
fi

