#!/bin/sh
# Set the MP_HOLDUP

#Check to see if at least one argument was specified
if [ $# -lt 1 ] ; then
   echo "Error: You must specify one argument as start or stop"
   exit 1
fi

# MP_HOLDUP (aka GPIO_6) is on GPIO2-10 H=green   2*16 + 10 = 42
# 4 -> 36
# 10 -> 42
# Create them if they don't already exist
[ -d /sys/class/gpio/gpio42 ] || echo 42 > /sys/class/gpio/export

# set as output high
echo high > /sys/class/gpio/gpio42/direction

if [ $1 == 'start' ]
then	# set to high
	echo 1 > /sys/class/gpio/gpio42/value
elif [ $1 == "stop" ]
then 	# set to low
	echo 0 > /sys/class/gpio/gpio42/value
else
	echo "Error: argument needs to be one of start or stop"
fi

