#!/bin/sh
# Install openssl-1.0.2h library

SCRIPT=$(readlink -f "$0")
DIR=$(dirname "$SCRIPT")

if [ $# -lt 1 ] ; then
	rfs=$ROOTFS
else
	rfs=$1
fi

if [ ! -d $rfs ] ; then
	echo "Directory does not exist. Check!"
	exit 1;
fi

echo Make Directories
mkdir -p /usr/local/bin 
mkdir -p /usr/local/lib
mkdir -p /usr/local/lib/engines 
mkdir -p /usr/local/lib/pkgconfig 
mkdir -p /usr/local/include/openssl 
mkdir -p /usr/local/openssl
mkdir -p /usr/local/openssl/misc 
mkdir -p /usr/local/openssl/certs 
mkdir -p /usr/local/openssl/private
mkdir -p /usr/bin 
mkdir -p /usr/lib
mkdir -p /usr/lib/engines 
mkdir -p /usr/lib/pkgconfig 
mkdir -p /usr/include/openssl 
mkdir -p /usr/openssl
mkdir -p /usr/openssl/misc 
mkdir -p /usr/openssl/certs 
mkdir -p /usr/openssl/private

echo Copy Files
cp $DIR/libcrypto.pc /usr/local/lib/pkgconfig
chmod 644 /usr/local/lib/pkgconfig/libcrypto.pc
cp $DIR/libssl.pc /usr/local/lib/pkgconfig
chmod 644 /usr/local/lib/pkgconfig/libssl.pc
cp $DIR/openssl.pc /usr/local/lib/pkgconfig
chmod 644 /usr/local/lib/pkgconfig/openssl.pc
cp $DIR/libcrypto.pc /usr/lib/pkgconfig
chmod 644 /usr/lib/pkgconfig/libcrypto.pc
cp $DIR/libssl.pc /usr/lib/pkgconfig
chmod 644 /usr/lib/pkgconfig/libssl.pc
cp $DIR/openssl.pc /usr/lib/pkgconfig
chmod 644 /usr/lib/pkgconfig/openssl.pc


cp $DIR/include/openssl/* /usr/local/include/openssl
chmod 644 /usr/local/include/openssl/*

cp $DIR/libcrypto.so.1.0.0 /usr/local/lib
chmod 755 /usr/local/lib/libcrypto.so.1.0.0
rm -f /usr/local/lib/libcrypto.so
ln -sf /usr/local/lib/libcrypto.so.1.0.0 /usr/local/lib/libcrypto.so
cp $DIR/libcrypto.a  /usr/local/lib
chmod 644 /usr/local/lib/libcrypto.a

cp $DIR/libssl.so.1.0.0 /usr/local/lib
chmod 755 /usr/local/lib/libssl.so.1.0.0
rm -f /usr/local/lib/libssl.so
ln -sf /usr/local/lib/libssl.so.1.0.0 /usr/local/lib/libssl.so
cp $DIR/libssl.a /usr/local/lib
chmod 644 /usr/local/lib/libssl.a

cp $DIR/openssl.cnf /usr/local/openssl
chmod 644 /usr/local/openssl/openssl.cnf
cp $DIR/openssl /usr/local/bin
chmod 755 /usr/local/bin/openssl 


cp $DIR/include/openssl/* /usr/include/openssl
chmod 644 /usr/include/openssl/*

rm -f /usr/lib/libcrypto.so
rm -f /usr/lib/libcrypto.so.1.0.0
cp $DIR/libcrypto.a  /usr/lib
chmod 644 /usr/lib/libcrypto.a

rm -f /usr/lib/libssl.so
rm -f /usr/lib/libssl.so.1.0.0 
cp $DIR/libssl.a /usr/lib
chmod 644 /usr/lib/libssl.a

cp $DIR/openssl.cnf /usr/openssl
chmod 644 /usr/openssl/openssl.cnf
cp $DIR/openssl /usr/bin
chmod 755 /usr/bin/openssl 
