#!/bin/sh
# Enable or disable ADV7125 that drives the VGA port (on PE1553)
#
# This script depends on the correct bootargs at startup
# see /boot/uboot_script

#Check to see if at least one argument was specified
if [ $# -lt 1 ] ; then
   echo "Error: You must specify one argument as start or stop"
   exit 1
fi

# The EXT_VID_EN signal drives the /PSAVE input on the ADV125
# This line needs to be taken high to power up the ADV7125
# The EXT_VID_EN signal is on the GPIO expander PCA9555, IO0_3
# IO0_3 is gpio227
[ -d /sys/class/gpio/gpio227 ] || echo 227 > /sys/class/gpio/export

# set it to an output
echo out > /sys/class/gpio/gpio227/direction


if [ $1 == 'start' ]
then
    # set the correct timings for VGA
    #/usr/sbin/fbset -fb /dev/fb2 vga
    # Power-up the ADV7125
	echo 1 > /sys/class/gpio/gpio227/value
    # un-blank the frame buffer
    echo 0 > /sys/class/graphics/fb2/blank
elif [ $1 == "stop" ]
then # set it low
    # Blank the framebuffer
    echo 1 > /sys/class/graphics/fb2/blank
    # Power-down the ADV7125
	echo 0 > /sys/class/gpio/gpio227/value
else
	echo "Error: argument needs to be one of start or stop"
fi

