#!/bin/sh
# wifi_connect.sh

# Find the exact name of the WLAN we are using
wlan=$(/usr/local/sbin/iwconfig 2>/dev/null | grep -o "^wlan[0-9]\+")

#add new network connection
wpa_cli reassociate || exit 1

loop=0

while !(wpa_cli status | grep "wpa_state=COMPLETED")
do 
	sleep 1
	let loop=$loop+1
	if [ "$loop" -gt 15 ]
	then
		echo "Fail to complete"
		echo $loop
		exit 2
	fi
done

echo "number of tries : $loop"

echo wpa Completed

#  try to get a lease
/sbin/udhcpc -R -i $wlan -n -t 3 -T 5 || exit 1

echo ">>>>> SUCCESS <<<<<"

#calculate gateway from ip address
FOUND="false"
/sbin/route | grep $wlan | while read -r line; do
	IP=`echo $line | awk '{print $1;}'`
	if [ $IP = "default" ]; then
		echo "default found, ignoring..."
	else 
	if [ $FOUND = "false" ]; then
		GW1=`echo $IP | awk -F'.' '{print $1;}'`
		GW2=`echo $IP | awk -F'.' '{print $2;}'`
		GW3=`echo $IP | awk -F'.' '{print $3;}'`
		GW4="1"
		GW="$GW1.$GW2.$GW3.$GW4"
		cmd="route add default gw $GW dev $wlan" #add default gateway to wlan
		echo $cmd
		eval "$cmd"
		FOUND="true"
	fi
	fi

done 

exit 0
#
