#!/bin/sh
# Install wireless tools library

SCRIPT=$(readlink -f "$0")
DIR=$(dirname "$SCRIPT")

if [ $# -lt 1 ] ; then
	rfs=$ROOTFS
else
	rfs=$1
fi

if [ ! -d $rfs ] ; then
	echo "Directory does not exist. Check!"
	exit 1;
fi

echo Make Directories

echo Copy Files
# Install the static library
mkdir -m 755 -p /usr/local/lib
cp $DIR/libiw.a /usr/local/lib/
chmod 644 /usr/local/lib/libiw.a


# All the binaries. Careful, no dependancy on install-dynamic
mkdir -m 755 -p /usr/local/sbin/
cp $DIR/iwconfig /usr/local/sbin/
cp $DIR/iwlist /usr/local/sbin/
cp $DIR/iwpriv /usr/local/sbin/
cp $DIR/iwspy /usr/local/sbin/
cp $DIR/iwgetid /usr/local/sbin/
cp $DIR/iwevent /usr/local/sbin/
cp $DIR/ifrename /usr/local/sbin/

chmod 755 /usr/local/sbin/*

# Headers to go with the wireless lib (dev)
mkdir -m 755 -p /usr/local/include/
cp $DIR/iwlib.h /usr/local/include/
chmod 644 /usr/local/include/iwlib.h
cp $DIR/wireless.h /usr/local/include/
chmod 644 /usr/local/include/wireless.h
